/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Avril 2005                     */

public class SommeRecursiveEnConsole {

  /* Fonction de calcul de la somme des n premiers        */
  /* nombres entiers                                      */
  /* n : nombre de nombres entiers a sommer               */

  public static int sommeRecursive(int n) {
  /* Si n est egal a 1 le resultat est 1                  */
    if ( n == 1 )
      return(1);
  /* Si la fonction ne s'est pas terminee avant,          */
  /* le resultat est n + la somme des n-1 premiers        */
  /* nombres entiers                                      */
    return(n+sommeRecursive(n-1));
  }

  public static void main(String [] args) {
    Console.setTitle("SommeRecursive");
  /* Affichage message et lecture au clavier de la valeur */
  /* initiale de n                                        */
    Console.out.print("Valeur de n : ");
    int n = Integer.valueOf(Console.in.readLine()).intValue();
  /* Lancement de la fonction recursive de calcul         */
  /* et affichage du resultat                             */
    Console.out.print("Valeur de la somme : "+sommeRecursive(n));
  }
}